<bugID>332774<Summary>Create API allowing extensions to hook into the session-restore service</Summary><Description>From http://wiki.mozilla.org/Firefox2/Requirements:

"API allowing extensions to contribute items to be saved/restored across sessions"</Description></bugID>